## libx11-protocol-other-perl 28

=== devel/Makefile ===
# Copyright 2011, 2012, 2013 Kevin Ryde

# This file is part of X11-Protocol-Other.
#
# X11-Protocol-Other is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 3, or (at your option) any
# later version.
#
# X11-Protocol-Other is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with X11-Protocol-Other.  If not, see <http://www.gnu.org/licenses/>.

CFLAGS = -Wall -g -Wpadded
LOADLIBES = -lXss -lXi -lXv -lXext -lX11

pad:
	gcc -Wpadded -x c -fsyntax-only /usr/include/X11/extensions/xf86vmproto.h
	cd /usr/include/X11/extensions; \
	for i in *.h; do \
	  if egrep -q 'B32|B16' $$i; then \
	    echo '#include <stdio.h>'      >/tmp/$$i; \
	    echo '#include <X11/X.h>'     >>/tmp/$$i; \
	    echo '#include <X11/Xdefs.h>'     >>/tmp/$$i; \
	    echo '#include <X11/Xproto.h>'    >>/tmp/$$i; \
	    echo '#include <X11/Xprotostr.h>' >>/tmp/$$i; \
	    echo '#include <X11/Xmd.h>'       >>/tmp/$$i; \
	    cat $$i                           >>/tmp/$$i; \
	    gcc -Wpadded -fsyntax-only -x c /tmp/$$i; \
	  fi \
	done

# if grep -q 'Display *[*]' $$i; then :; else \

all: encode-emacs22.ctext encode-emacs22-ext.ctext \
	encode-emacs23.ctext encode-emacs23-ext.ctext \
	encode-xemacs21.ctext
# encode-emacs21.ctext encode-emacs21-ext.ctext \

encode-emacs21.ctext encode-emacs21-ext.ctext: encode-all.el
	emacs21 -q -batch -l encode-all.el -f my-ctext 
encode-emacs22.ctext encode-emacs22-ext.ctext: encode-all.el
	emacs22 -q -batch -l encode-all.el -f my-ctext 
encode-emacs23.ctext encode-emacs23-ext.ctext: encode-all.el
	emacs23 -q -batch -l encode-all.el -f my-ctext 
encode-xemacs21.ctext: encode-all.el
	xemacs21 -q -batch -l encode-all.el -f my-ctext 




encode-dump: encode-dump.c Makefile
	$(CC) $(CFLAGS) encode-dump.c -lX11 -o encode-dump

Encode-X11-xlib: Encode-X11-xlib.c Makefile
	$(CC) $(CFLAGS) Encode-X11-xlib.c -lX11 -o Encode-X11-xlib
Encode-X11-xlib2: Encode-X11-xlib2.c Makefile
	$(CC) $(CFLAGS) Encode-X11-xlib2.c -lX11 -o Encode-X11-xlib2

=== debian/changelog ===
libx11-protocol-other-perl (28-1) unstable; urgency=low

  * Initial Release. (Closes: #735257)

 -- Dima Kogan <dima@secretsauce.net>  Wed, 15 Jan 2014 01:07:50 -0800

=== debian/control ===
Source: libx11-protocol-other-perl
Section: perl
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Dima Kogan <dima@secretsauce.net>
Build-Depends: debhelper (>=8),
 libx11-protocol-perl,
 perl,
 libencode-hanextra-perl,
 xauth, xvfb
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libx11-protocol-other-perl.git
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libx11-protocol-other-perl.git
Homepage: http://user42.tuxfamily.org/x11-protocol-other/index.html

Package: libx11-protocol-other-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends},
 libx11-protocol-perl
Description: miscellaneous X11::Protocol helpers
 X11::Protocol::Other provides some miscellaneous extras and helpers for
 X11::Protocol. Modules provided are:
 .
  - X11::Protocol::Other - misc helpers 
  - X11::Protocol::ChooseWindow - user click on window 
  - X11::Protocol::GrabServer - oop block scope server grab 
  - X11::Protocol::WM - window manager things 
  - X11::Protocol::XSetRoot - set root window background 
  - X11::AtomConstants - atoms 
  - X11::CursorFont - cursor names 
  - Encode::X11 - compound text encode/decode 
  - X11::Protocol::Ext::Composite - obscured window content 
  - X11::Protocol::Ext::DAMAGE - window/pixmap content changes 
  - X11::Protocol::Ext::DOUBLE_BUFFER - off-screen swapped drawing 
  - X11::Protocol::Ext::MIT_SCREEN_SAVER - external screen saver 
  - X11::Protocol::Ext::MIT_SHM - images through shared memory 
  - X11::Protocol::Ext::MIT_SUNDRY_NONSTANDARD - old bug mode 
  - X11::Protocol::Ext::TOG_CUP - colormap helpers 
  - X11::Protocol::Ext::XFree86_DGA - direct video RAM access 
  - X11::Protocol::Ext::XFIXES - various regions, cursors, selection events 
  - X11::Protocol::Ext::XINERAMA.pm - multiple monitors as one big screen 
  - X11::Protocol::Ext::X_Resource - server usage statistics

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# The tests need an X server. This provides one even inside a chroot
override_dh_auto_test:
	xvfb-run -a dh_auto_test

=== debian/watch ===
version=3
http://user42.tuxfamily.org/x11-protocol-other/index.html \
	.*/X11-Protocol-Other-([0-9]+)\.tar\.gz

## libx11-protocol-other-perl 29

=== debian/changelog ===
libx11-protocol-other-perl (29-2) unstable; urgency=medium

  * Team upload.
  * Disable t/XSetRoot.t during build and autopkgtest.
    This test is known to have problems with xvfb.
    Thanks to Santiago Vila for the bug report. (Closes: #848060)
  * Drop ${shlibs:Depends} from Depends. This is an arch:all package.

 -- gregor herrmann <gregoa@debian.org>  Sun, 25 Dec 2016 18:18:03 +0100

libx11-protocol-other-perl (29-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Dima Kogan ]
  * Imported Upstream version 29
  * patch update

  [ gregor herrmann ]
  * Update years of upstream copyright.
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 3.9.8.
  * Bump debhelper compatibility level to 9.

 -- gregor herrmann <gregoa@debian.org>  Wed, 14 Dec 2016 23:31:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: libx11-protocol-other-perl
-Section: perl
-Priority: optional
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dima@secretsauce.net>
-Build-Depends: debhelper (>=8),
- libx11-protocol-perl,
- perl,
- libencode-hanextra-perl,
- xauth, xvfb
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libx11-protocol-other-perl.git
-Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libx11-protocol-other-perl.git
+Section: perl
+Testsuite: autopkgtest-pkg-perl
+Priority: optional
+Build-Depends: debhelper (>= 9),
+               libx11-protocol-perl,
+               perl,
+               libencode-hanextra-perl,
+               xauth,
+               xvfb
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libx11-protocol-other-perl.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libx11-protocol-other-perl.git
 Homepage: http://user42.tuxfamily.org/x11-protocol-other/index.html
 
 Package: libx11-protocol-other-perl
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends},
- libx11-protocol-perl
+Depends: ${misc:Depends},
+         ${perl:Depends},
+         libx11-protocol-perl
 Description: miscellaneous X11::Protocol helpers
  X11::Protocol::Other provides some miscellaneous extras and helpers for
  X11::Protocol. Modules provided are:

## libx11-protocol-other-perl 30

=== debian/changelog ===
libx11-protocol-other-perl (30-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/gbp.conf: rename git-import-orig to import-orig.
  * Enable signature checking for uscan(1).
  * Update years of upstream copyright.
  * Rebase 0001-removed-mentions-of-in-tree-debianization-from-MANIF.patch.
  * Declare compliance with Debian Policy 4.1.1.
  * Use HTTPS for upstream URL in debian/*.

 -- gregor herrmann <gregoa@debian.org>  Wed, 01 Nov 2017 18:02:10 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                libencode-hanextra-perl,
                xauth,
                xvfb
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libx11-protocol-other-perl.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libx11-protocol-other-perl.git
-Homepage: http://user42.tuxfamily.org/x11-protocol-other/index.html
+Homepage: https://user42.tuxfamily.org/x11-protocol-other/index.html
 
 Package: libx11-protocol-other-perl
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

SKIP_TESTS = $(shell cat debian/tests/pkg-perl/smoke-skip)
TEST_FILES = $(filter-out $(SKIP_TESTS), $(wildcard t/*.t))

%:
	dh $@

# The tests need an X server. This provides one even inside a chroot
override_dh_auto_test:
	xvfb-run -a dh_auto_test -- TEST_FILES="$(TEST_FILES)"

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://user42.tuxfamily.org/x11-protocol-other/index.html \
	.*/X11-Protocol-Other-([0-9]+)\.tar\.gz

## libx11-protocol-other-perl 31

=== debian/changelog ===
libx11-protocol-other-perl (31-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Import upstream version 31.
  * Update years of upstream copyright.
  * Update 0001-removed-mentions-of-in-tree-debianization-from-
    MANIF.patch.
  * Annotate test-only build dependencies with <!nocheck>.
  * Declare compliance with Debian Policy 4.4.0.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * Re-export upstream signing key without extra signatures.
  * debian/rules: guard 'xvfb-run -a dh_auto_test …' with a check for
    DEB_BUILD_OPTIONS=nocheck. Otherwise <!nocheck> in debian/control leads
    to a failure as xvfb-run is started anyway before dh_auto_test
    returns.

 -- gregor herrmann <gregoa@debian.org>  Mon, 26 Aug 2019 21:23:06 +0200

=== debian/control ===
Source: libx11-protocol-other-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Dima Kogan <dima@secretsauce.net>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libx11-protocol-perl <!nocheck>,
               perl,
               libencode-hanextra-perl <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libx11-protocol-other-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libx11-protocol-other-perl.git
Homepage: https://user42.tuxfamily.org/x11-protocol-other/index.html

Package: libx11-protocol-other-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libx11-protocol-perl
Description: miscellaneous X11::Protocol helpers
 X11::Protocol::Other provides some miscellaneous extras and helpers for
 X11::Protocol. Modules provided are:
 .
  - X11::Protocol::Other - misc helpers
  - X11::Protocol::ChooseWindow - user click on window
  - X11::Protocol::GrabServer - oop block scope server grab
  - X11::Protocol::WM - window manager things
  - X11::Protocol::XSetRoot - set root window background
  - X11::AtomConstants - atoms
  - X11::CursorFont - cursor names
  - Encode::X11 - compound text encode/decode
  - X11::Protocol::Ext::Composite - obscured window content
  - X11::Protocol::Ext::DAMAGE - window/pixmap content changes
  - X11::Protocol::Ext::DOUBLE_BUFFER - off-screen swapped drawing
  - X11::Protocol::Ext::MIT_SCREEN_SAVER - external screen saver
  - X11::Protocol::Ext::MIT_SHM - images through shared memory
  - X11::Protocol::Ext::MIT_SUNDRY_NONSTANDARD - old bug mode
  - X11::Protocol::Ext::TOG_CUP - colormap helpers
  - X11::Protocol::Ext::XFree86_DGA - direct video RAM access
  - X11::Protocol::Ext::XFIXES - various regions, cursors, selection events
  - X11::Protocol::Ext::XINERAMA.pm - multiple monitors as one big screen
  - X11::Protocol::Ext::X_Resource - server usage statistics

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,6 @@
 
 # The tests need an X server. This provides one even inside a chroot
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	xvfb-run -a dh_auto_test -- TEST_FILES="$(TEST_FILES)"
+endif

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://user42.tuxfamily.org/x11-protocol-other/index.html \
	.*/X11-Protocol-Other-([0-9]+)\.tar\.gz
